##################################################################
# Makefile for building Boehm Garbage Collector
#
# 	$ rdi make -f rdi-build.mk install product=sdnet
#
##################################################################

include $(RDI_MAKEROOT)/top.mk
include $(RDI_MAKEROOT)/platform.mk

ifeq ($(RDI_PLATFORM), lnx64)
 ARCH 			:= $(RDI_PLATFORM).o
 BASE_DIR 		:= $(RDI_SRCROOT)/products/sdnet/p4c-sdnet/tps
 BUILD_DIR 		:= $(BASE_DIR)/build

 GC_VERSION 	:= gc-7.6.0
 LIBOPS_VERSION	:= libatomic_ops-7.4.4
 GC_DIR    		:= $(BASE_DIR)/gc
 CONFIG_FLAGS 	:= --prefix=$(GC_DIR)/rdi/$(ARCH) --enable-cplusplus --with-libatomic-ops=no

 _boehm_gc_install:
	mkdir -p $(BUILD_DIR)
	tar -xf $(GC_DIR)/src/$(GC_VERSION).tar.gz -C $(BUILD_DIR)
	tar -xf $(GC_DIR)/src/$(LIBOPS_VERSION).tar.gz -C $(BUILD_DIR)
	ln -s $(BUILD_DIR)/$(LIBOPS_VERSION) $(BUILD_DIR)/$(GC_VERSION)/libatomic_ops
	cd $(BUILD_DIR)/$(GC_VERSION) ; \
	./configure $(CONFIG_FLAGS) ; make ; make install
 	
 _boehm_gc_cleanup:
	rm -rf $(BUILD_DIR)

endif

install: _boehm_gc_install _boehm_gc_cleanup

include $(RDI_MAKEROOT)/bottom.mk

